petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCGetDM

Gets the DM that may be used by some preconditioners

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCGetDM(PC pc,DM *dm)

Not Collective Many br

### Input Parameter

pc -the preconditioner context Many br

### Output Parameter

dm -the dm Many br

Many br

### See Also

PCSetDM(), KSPSetDM(), KSPGetDM()

Level:intermediate
Location:src/ksp/pc/interface/pcset.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages